Skip to main content
GET
/
auth
/
notifications
Get notification preferences
curl --request GET \
  --url https://api.engagefabric.com/auth/notifications \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "emailAlerts": true,
  "weeklyDigest": true,
  "playerActivity": true,
  "questCompletions": true,
  "securityAlerts": true,
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.engagefabric.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT token for admin console authentication

Response

Notification preferences retrieved successfully

id
string
required

Notification preferences ID

emailAlerts
boolean
required

Receive important updates via email

weeklyDigest
boolean
required

Get a weekly summary of project activity

playerActivity
boolean
required

Get notified when players reach milestones

questCompletions
boolean
required

Receive alerts when quests are completed

securityAlerts
boolean
required

Important security notifications

createdAt
string<date-time>
required

Created timestamp

updatedAt
string<date-time>
required

Updated timestamp